=== debian/changelog ===
nvidia-cuda-toolkit (8.0.44-4) unstable; urgency=medium

  [ Zhou Mo ]
  * README.Debian: Discuss adding nvcc options regarding PIE when mixing GCC
    and CLANG generated objects, since the defaults differ between the
    compilers.  (Closes: #861878)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 May 2017 20:48:54 +0200

nvidia-cuda-toolkit (8.0.44-3) unstable; urgency=medium

  [ Zhou Mo ]
  * Depend on clang-3.8 as default compiler alternative, since CUDA does not
    support GCC-6.  (Closes: #835940)
    Use 'nvcc -ccbin clang-3.8' to compile your CUDA applications.
  * Add NEWS entry for this change.

  [ Andreas Beckmann ]
  * Switch to debhelper compat level 10.
  * Generate debian/g++ from debian/gcc.
  * gcc/g++ wrappers: Report if clang-3.8 could be used instead of gcc/g++.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 20 Jan 2017 20:25:17 +0100

nvidia-cuda-toolkit (8.0.44-2) unstable; urgency=medium

  * Overhaul installation of examples.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 27 Oct 2016 04:05:12 +0200

nvidia-cuda-toolkit (8.0.44-1) experimental; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 8.0 (Sept 2016).  (Closes: #822434, #695304)
  * Use gzip to compress orig tarballs containing already compressed files.
  * Revert the -D_FORCE_INLINES workaround.
  * gcc-support.patch: Remove, fixed upstream.
  * man-sections.patch, man-typos.patch, man-hyphenation.patch: Refresh.
  * Fix more typos found by Lintian.
  * Update Lintian overrides.
  * Upload to experimental.

  [ Zhou Mo ]
  * SOVERSION bump: 7.5 => 8.0, rename all library packages.
  * Update symbols control files.
  * Ship new binary: gpu-library-advisor.
  * New packages for nppi sub-library series:
    + libnppial8.0: New package for image arithmetic and logic
    + libnppicc8.0: New package for image color conversion
    + libnppicom8.0: New package for image compression
    + libnppidei8.0: New package for image data exchange and initialization
    + libnppif8.0: New package for image filters
    + libnppig8.0: New package for image geometry transforms
    + libnppim8.0: New package for image morphological operations
    + libnppist8.0: New package for image statistics
    + libnppisu8.0: New package for image support
    + libnppitc8.0: New package for image threshold and compare
  * libnvgraph8.0: New package for the nvGRAPH library.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Oct 2016 18:34:36 +0200

nvidia-cuda-toolkit (7.5.18-4) unstable; urgency=medium

  * [ppc64el] Use the no-libcuda1 virtual package on Debian, too, since there
    is no current driver available for ppc64el.
  * Fix more typos found by Lintian.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Sep 2016 13:53:33 +0200

nvidia-cuda-toolkit (7.5.18-3) unstable; urgency=medium

  * d/rules: Add missing build-arch/build-indep targets.  (Closes: #832589)
  * nvcc.profile: Add -D_FORCE_INLINES for better glibc 2.23 support.
    (Closes: #822783)
  * Fix more typos found by Lintian.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 31 Jul 2016 15:50:16 +0200

nvidia-cuda-toolkit (7.5.18-2) unstable; urgency=medium

  * man-typos.patch: Fix more typos.
  * Update Lintian overrides.
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 May 2016 02:18:58 +0200

nvidia-cuda-toolkit (7.5.18-1) experimental; urgency=medium

  [ Zhou Mo ]
  * New upstream release 7.5 (Sept 2015).  (Closes: #807579)
  * SOVERSION bump: 7.0 => 7.5, rename all library packages.
  * Update symbols control files.
  * [ppc64el] Adjust location of nvvm/lib.
  * Update Lintian overrides.

  [ Andreas Beckmann ]
  * Refresh man-sections.patch.
  * debian/copyright: Synchronize with updated EULA.txt.
  * Use multiarch substitution in nvcc.profile.
  * gcc-support.patch: New, allow usage of GCC 5.
  * Use gcc-5/g++-5 as preferred compiler.
  * Update documentation regarding the CUDA Code Samples.
  * [ppc64el] Use the no-libcuda1 virtual package on Ubuntu.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Mar 2016 02:12:57 +0100
