## nvidia-cuda-toolkit 8.0.61

=== debian/changelog ===
nvidia-cuda-toolkit (8.0.61-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 8.0 GA2 (Feb 2017).
  * Update symbols control files.
  * Bump Standards-Version to 4.1.1 (no changes needed).
  * Update Lintian overrides.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Oct 2017 15:15:32 +0200
