=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
- Russ Allbery <rra@debian.org>,
  Graham Inggs <ginggs@debian.org>,
  Zhou Mo <cdluminate@gmail.com>,
 Build-Depends:
@@ -13,7 +12,7 @@
  libncurses5,
  chrpath [ppc64el],
  libexpat1 [ppc64el],
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.nvidia.com/CUDA
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-cuda-toolkit/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-cuda-toolkit/
@@ -331,3 +330,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: NVIDIA cuBLAS Library
  The Compute Unified Device Architecture (CUDA) enables NVIDIA
+ graphics processing units (GPUs) to be used for massively parallel
